import request from '@/utils/request'

//获取汇率配置列表
export function getexchangerateList(params) {
    return request({
        url: '/system/manage/currency/list',
        method: 'get',
        params
    })
}

//获取全部国家下拉接口
export function getcountryAllList(params) {
    return request({
        url: '/system/manage/country/find-all',
        method: 'get',
        params
    })
}

//删除单条汇率列表
export function deleteCurrency(pkId) {
    return request({
        url: '/system/manage/currency/' + pkId,
        method: 'delete',
    })
}

//更新汇率币种状态
export function updatecurrencyEnable(pkId,state) {
    return request({
        url: '/system/manage/currency/updateEnable/' + pkId+'/'+state,
        method: 'post',
    })
}

//获取单条汇率信息
export function getCurrencyDetail(params) {
    return request({
        url: '/system/manage/currency/detail',
        method: 'get',
        params
    })
}

//修改汇率信息
export function updateCurrency(data) {
    return request({
        url: '/system/manage/currency/update',
        method: 'post',
        data
    })
}

//新增汇率信息
export function saveCurrency(data) {
    return request({
        url: '/system/manage/currency/save',
        method: 'post',
        data
    })
}

